<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classpdts__ep__startup.html">pdts_ep_startup</a></li><li class="navelem"><a class="el" href="classpdts__ep__startup_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classpdts__ep__startup_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a2ef606d2b1cc9b1796449152ffa39c50"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ef606d2b1cc9b1796449152ffa39c50"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a2ef606d2b1cc9b1796449152ffa39c50">PROCESS_3</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">sclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a48eca184941965dba78b02eb271c3488"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48eca184941965dba78b02eb271c3488"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a48eca184941965dba78b02eb271c3488">PROCESS_4</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ae3f7e6ca1ebf8dd3c3f379b1e748bbaf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3f7e6ca1ebf8dd3c3f379b1e748bbaf"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#ae3f7e6ca1ebf8dd3c3f379b1e748bbaf">PROCESS_5</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">sclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a034eeff0688dee11e819b894ffda2404"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a034eeff0688dee11e819b894ffda2404"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a034eeff0688dee11e819b894ffda2404">PROCESS_6</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">sclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6cc276b9a3076e40ac68b8ac3f1828a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cc276b9a3076e40ac68b8ac3f1828a7"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a6cc276b9a3076e40ac68b8ac3f1828a7">PROCESS_7</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9497afc2c393bd9e8c61c867ea62de3e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9497afc2c393bd9e8c61c867ea62de3e"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a9497afc2c393bd9e8c61c867ea62de3e">PROCESS_68</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">sclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad43769ee7c3813cef6844ce20b42db6f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad43769ee7c3813cef6844ce20b42db6f"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#ad43769ee7c3813cef6844ce20b42db6f">PROCESS_69</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a1102a1b87cc9320124c9284ee25f2bab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1102a1b87cc9320124c9284ee25f2bab"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a1102a1b87cc9320124c9284ee25f2bab">PROCESS_70</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">sclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a66637b81fba3f88235ca37e6b9f585ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a66637b81fba3f88235ca37e6b9f585ea"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a66637b81fba3f88235ca37e6b9f585ea">PROCESS_71</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">sclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a67f2b34d9ba00f9888d4925c63ede816"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67f2b34d9ba00f9888d4925c63ede816"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a67f2b34d9ba00f9888d4925c63ede816">PROCESS_72</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:ad835dc55ddb0c0286a0cd19f0c3e5443"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad835dc55ddb0c0286a0cd19f0c3e5443"></a>
<b><a class="el" href="classpdts__ep__startup_1_1rtl.html#ad835dc55ddb0c0286a0cd19f0c3e5443">state_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">W_RST</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">W_SFP</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">W_CDR</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">W_FREQ</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">W_ALIGN</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">W_LOCK</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">W_RDY</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RUN</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ERR_R</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ERR_T</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a499e7824037af983d0524a98081e7f0b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a499e7824037af983d0524a98081e7f0b"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a499e7824037af983d0524a98081e7f0b">state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa992eb08f48d7269f018b0b9db3a4403"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa992eb08f48d7269f018b0b9db3a4403"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#aa992eb08f48d7269f018b0b9db3a4403">state_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac81555d716bc9b94d44fffacbb134ab0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac81555d716bc9b94d44fffacbb134ab0"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#ac81555d716bc9b94d44fffacbb134ab0">rctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac36607a3dcbba3d4fa001feff70d0228"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac36607a3dcbba3d4fa001feff70d0228"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#ac36607a3dcbba3d4fa001feff70d0228">f_ok</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a68bd6af570111e44d179325d904cc25f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a68bd6af570111e44d179325d904cc25f"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a68bd6af570111e44d179325d904cc25f">t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae28dac1fcfe7ba715fefe6c1b4bce3d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae28dac1fcfe7ba715fefe6c1b4bce3d4"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#ae28dac1fcfe7ba715fefe6c1b4bce3d4">td</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa640a1377a5c1b1c49ebeb41d661e3dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa640a1377a5c1b1c49ebeb41d661e3dc"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#aa640a1377a5c1b1c49ebeb41d661e3dc">sctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9bcf3ee300fb2152c648ba0f38b5cdbc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9bcf3ee300fb2152c648ba0f38b5cdbc"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a9bcf3ee300fb2152c648ba0f38b5cdbc">cctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa7ca7ab826926beadcb71a1cc09eae8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7ca7ab826926beadcb71a1cc09eae8e"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#aa7ca7ab826926beadcb71a1cc09eae8e">cctr_rnd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4adb0f5a754eea1ce4db9c1cd65f1f6a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4adb0f5a754eea1ce4db9c1cd65f1f6a"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a4adb0f5a754eea1ce4db9c1cd65f1f6a">sfp_los_ctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aea856d102bdbc2aaa1409e3a2c3250ab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea856d102bdbc2aaa1409e3a2c3250ab"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#aea856d102bdbc2aaa1409e3a2c3250ab">cdr_ctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae09f906b84b390a674e4989a850e0ba4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae09f906b84b390a674e4989a850e0ba4"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#ae09f906b84b390a674e4989a850e0ba4">sfp_los_ok</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abdb613eb01a441315a47fa21b2560874"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abdb613eb01a441315a47fa21b2560874"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#abdb613eb01a441315a47fa21b2560874">cdr_ok</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab4f012556bce20a29a1f5371adc92b6f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4f012556bce20a29a1f5371adc92b6f"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#ab4f012556bce20a29a1f5371adc92b6f">rxphy_aligned_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab666f84c5e267444174f7943fa3d7bf6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab666f84c5e267444174f7943fa3d7bf6"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#ab666f84c5e267444174f7943fa3d7bf6">rxphy_locked_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a91967c14c199b8611f7f8ba7426d7d9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91967c14c199b8611f7f8ba7426d7d9b"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a91967c14c199b8611f7f8ba7426d7d9b">rx_err_f</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac9fbce3aecd4c9b0810372ed0bf8fbba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9fbce3aecd4c9b0810372ed0bf8fbba"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#ac9fbce3aecd4c9b0810372ed0bf8fbba">rx_err_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a738bf5965150f6d6a884f924cabfbfde"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a738bf5965150f6d6a884f924cabfbfde"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a738bf5965150f6d6a884f924cabfbfde">rdy_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeef7898fdd7d6b9fb43466de5ecb7e64"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeef7898fdd7d6b9fb43466de5ecb7e64"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#aeef7898fdd7d6b9fb43466de5ecb7e64">rec_rst_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab1d81d1ba4a20d42b18dc3ffe210f32c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab1d81d1ba4a20d42b18dc3ffe210f32c"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#ab1d81d1ba4a20d42b18dc3ffe210f32c">rxphy_rst_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1e886a6fa760b1f47036c3e7cdbfd858"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e886a6fa760b1f47036c3e7cdbfd858"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a1e886a6fa760b1f47036c3e7cdbfd858">rst_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acf40aff3a3826137d3c9e4307169abb4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf40aff3a3826137d3c9e4307169abb4"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#acf40aff3a3826137d3c9e4307169abb4">rst_u</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:aa2dbbcba64b87654ad46b6ceb1187c9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2dbbcba64b87654ad46b6ceb1187c9d"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#aa2dbbcba64b87654ad46b6ceb1187c9d">sync_t</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_synchro</b>  </td></tr>
<tr class="memitem:a7ca062857e64ccc85c6a71cac1205603"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ca062857e64ccc85c6a71cac1205603"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a7ca062857e64ccc85c6a71cac1205603">sync_sclk</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_synchro</b>  </td></tr>
<tr class="memitem:addbea85e986a9a2a2c79ac86f06bfa4b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="addbea85e986a9a2a2c79ac86f06bfa4b"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#addbea85e986a9a2a2c79ac86f06bfa4b">sync_rec_clk</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_synchro</b>  </td></tr>
<tr class="memitem:ab23bdffe35ea7590b5dd84f72c17e142"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab23bdffe35ea7590b5dd84f72c17e142"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#ab23bdffe35ea7590b5dd84f72c17e142">sync_clk</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_synchro</b>  </td></tr>
<tr class="memitem:aa2dbbcba64b87654ad46b6ceb1187c9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2dbbcba64b87654ad46b6ceb1187c9d"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#aa2dbbcba64b87654ad46b6ceb1187c9d">sync_t</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_synchro</b>  </td></tr>
<tr class="memitem:a7ca062857e64ccc85c6a71cac1205603"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ca062857e64ccc85c6a71cac1205603"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#a7ca062857e64ccc85c6a71cac1205603">sync_sclk</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_synchro</b>  </td></tr>
<tr class="memitem:addbea85e986a9a2a2c79ac86f06bfa4b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="addbea85e986a9a2a2c79ac86f06bfa4b"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#addbea85e986a9a2a2c79ac86f06bfa4b">sync_rec_clk</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_synchro</b>  </td></tr>
<tr class="memitem:ab23bdffe35ea7590b5dd84f72c17e142"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab23bdffe35ea7590b5dd84f72c17e142"></a>
<a class="el" href="classpdts__ep__startup_1_1rtl.html#ab23bdffe35ea7590b5dd84f72c17e142">sync_clk</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_synchro</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__ep__startup_8vhd_source.html#l00039">39</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__ep__startup_8vhd_source.html">pdts_ep_startup.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__ep__startup_8vhd_source.html">pdts_ep_startup.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__ep__startup_8vhd_source.html">pdts_ep_startup.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
